Bug 116966 - Cannot delete root categories
Cannot delete root categories
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vadim Nasardinov
Jon Orris
Depends On:
Blocks: 113496
  Show dependency treegraph
Reported: 2004-02-26 16:57 EST by Justin Ross
Modified: 2007-04-18 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-17 15:55:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2004-02-26 16:57:09 EST
Description of problem:

In the category pane, you can't get past the confirm-delete step when
deleting a root category.

Version-Release number of selected component (if applicable):

qgen branch (though it's not clear this has to do with qgen)

How reproducible:


Steps to Reproduce:
1. Navigate to category tab
2. Select a use context
3. Try to delete its root category
Actual results:

Nothing happens

Expected results:

Use context and its root category are deleted
Comment 1 Vadim Nasardinov 2004-02-26 17:06:06 EST
Kinda related xref: bug 115363.
Comment 2 Richard Li 2004-03-01 15:47:48 EST
vadim: is this easily fix-able?
Comment 3 Scott Seago 2004-03-01 15:51:21 EST
There's a check in the code which only deletes if the category is not
root, so could be as simple as removing this check -- that is, if we
want the user to be able to easily remove the root category. We _may_
want to only allow users to delete root categories which are in
non-default (i.e. non-null) use contexts.

And in the case where we don't allow deletion (i.e. root category for
default use context) the "delete" link should be hidden.
Comment 4 Vadim Nasardinov 2004-03-01 16:46:18 EST
I'll take a closer look at this tomorrow.  Scott is most likely
correct.  It's probably just a matter of removing the conditional.

The real question is, do we want to allow root categories to
be deleted with the same ease as leaf categories?

Nobuko, what do you think? (I'm asking because of bug 115363.)
Comment 5 Vadim Nasardinov 2004-03-02 17:09:26 EST
Fixed on the trunk in change 40976.
Comment 6 Nobuko Asakai 2004-03-03 09:37:31 EST

Sorry my earlier comment didn't go through. 

The problem with 115363 is that the permission management pane doesn't
appear for root categories. It is fine that root categories are
deletable as long as there is control over specifically who can do this.

Hopefully my comment isn't too late.

Comment 7 Vadim Nasardinov 2004-03-03 10:20:29 EST

I finally understand the problem you describe.  I'd like to keep it
as a separate bug.  I took a very quick look at it.  See bug 115363,
#comment 2.

Comment 8 Vadim Nasardinov 2004-03-03 10:21:47 EST
bug 115363,
comment #2
Comment 9 Jon Orris 2004-03-05 14:36:46 EST
Verified on oracle
Comment 10 Jon Orris 2004-03-17 15:55:41 EST
And on postgres

Note You need to log in before you can comment on or make changes to this bug.